\newpage
## 电子书必须增进我们的自由而非限制我们的自由

> Copyright © 2012 理查德·斯托曼（Richard Stallman）。本文最初于 2012 年 4 月 17 日以标题“Technology Should Help Us Share, Not Constrain Us”，发表于英国卫报<http://guardian.co.uk>，并带有一些特别的修订。此版本整合了部分修订，同时恢复了部分原文。

我喜欢 The Jehovah Contract 这本书，也希望每个人都喜欢它。这些年来，我已经至少借出它六次了。纸版书允许我们这么做。

我不能对大部分商业电子书如此，因为这是“不被允许的”。如果我们试图违反，阅读器中的软件具有一种称为数字限制管理（DRM）的恶意功能，它将会限制用户阅读，因此不能分享。由于电子书是加密的，只有具有恶意功能的私有软件才能显示它们。

我们作为读者所习惯的很多其他阅读方式对于电子书是“不被允许的”。对于亚马逊 Kindle （更合适它的名字是 Swindle [^ebooks-1]），作为一个例子，用户不能使用现金匿名购买电子书。Kindle 的电子书通常仅可以从亚马逊获得，而亚马逊要求用户提供身份信息。由此亚马逊知道每位用户读了哪些书。在某些国家，例如英国，您可能会由于拥有一本禁书而被起诉[^ebooks-2]，这比假想中的奥威尔主义（Orwellian）[^ebooks-n]更加残酷。

[^ebooks-n]: 指现代政权藉宣传、误报、否认事实、操纵过去，来执行社会控制。包括冷处理、蒸发，公开纪录和大多数人记忆中均被抹煞不存在，就如《一九八四》（作者乔治·奥威尔）中的世界观一样。——译者注，摘自维基百科

> 参阅《电子书的威胁》一文，并且考虑加入我们关于电子书威胁的邮件列表，位于 <http://defectivebydesign.org/ebooks.html>.

更坏的是，您不能在读完一部电子书之后将其转卖（如果亚马逊按其意志行事，那些我可以在一个下午光顾好几家的旧书店将成为历史）。您也不能将其赠与他人，由于根据亚马逊的霸王条款，您不能真正拥有它。亚马逊要求用户签订的最终用户许可协议（EULA）如是说。

您甚至不能保证某部电子书明天还存在于您的机器中。人们在使用 Kindle 阅读《一九八四》的时候亲历了奥威尔主义：他们的电子书在眼皮底下消失了，由于亚马逊使用了一种带有后门的恶意软件将其远程删除（虚拟世界的焚书行为，这就是 Kindle 的涵义吗？）。但是请不必担心，亚马逊承诺不再如此，除非有国家命令。

对于软件，要么用户控制程序（称这类软件为自由的[^ebooks-3]），要么程序控制用户（非自由）。亚马逊的电子书政策模仿私有软件的发布政策，但这并非二者之间的唯一关联。上述恶意软件特性[^ebooks-4]是通过私有软件强加给用户的。如果一款自由软件拥有类似的恶意特性，一些具有编程技能的用户可以移除它们，然后将修正后的版本提供给其他用户。用户不能更改私有软件，这使得它们成为其开发者对公众行使不公权力的理想工具[^ebooks-5]。

以上这些对我们自由的侵害任何一种都足以作为我们说“不”的理由。如果这些政策仅限于亚马逊，我们可以跳过它们，但是其他电子书发行商的政策大致相似。

最让我们担心的是未来可能失去纸版书的选项。英国卫报宣称“仅限数字阅读”，换言之，书籍只能靠牺牲自由去换取。我不会以此为代价阅读任何书籍。从现在起的五年以后，对于大部分书籍，未经许可的副本会不会成为仅存的伦理上可接受的版本呢？

事情不必须朝着那个方向发展。通过互联网匿名支付，购买并下载无 DRM、无 EULA 的电子书将会尊重我们的自由。实体书店可以接受现金购买这样的电子书，如同光盘（CD）上的数字音乐仍然可能买到，即使是现在这个音乐产业极具侵略性地推广带有 DRM 限制服务（诸如 Spotify）的时代。实体 CD 商店不得不面对昂贵的库存成本负担，而实体电子书商店可以将电子书副本复制到您的 USB 存储器上，这是唯一可以卖给您的载体，如果您需要。

出版商关于它们限制电子书使用自由所给出的解释是为了阻止用户分享电子书副本。它们宣称这是为了作者着想；但即使它们真的服务于作者的利益（对于非常著名的作者，也许是这样），这并不能成为剥夺读者自由的 DRM、EULA 和数字经济法案的辩护理由。事实上，版权系统对于支持作者，除了那些最著名的作者以外，做出了极坏的事情。其他作者的基本利益应当被更好地为人们所了解，因此分享他们的作品对于他们和读者同样有益。为何不转向一种能够更好地解决这个问题而又与分享相容的体系呢？

对存储器和互联网连接征税，与大多数欧盟国家正在实施的一般准则放在一起，可以更好地完成这项任务，如果以下三点得到满足。这笔资金应该由国家收集并依法发放，而非给予私人的集资组织；它应当分给所有作者，我们不能允许商业公司侵占其中的任何一分钱；并且这笔钱的分配应当基于一种变化的尺度而非按照流行度的线性比例。我建议使用作者流行度的立方根作为依据：如果 A 的流行度是 B 的八倍，则 A 得到 B 的两倍的钱（而不是八倍）。这将给予众多普通作家足够的支持，而非仅仅使得少数明星大腕赚得盆满钵满。

另一种体系是在阅读器上设置一个按钮以便向作者匿名支付一小笔钱（例如在英国，25 便士可能是合适的）。

分享是美好的，并且有了数字技术，分享应该变得更容易。（我指对原始版本进行非商业的再分发）因此，分享理应合法，而阻止分享并不能成为将电子书变为读者数字手铐的理由。如果电子书意味着必须在增进与限制读者自由中二选一，我们必须要求它们增进读者的自由。

 [^ebooks-1]: 参见《为何称之为诈骗（Swindle）？》一文以获得更多信息。  

 [^ebooks-2]: Ben Quinn, “Man in London Charged with Terrorism Offences over Al-Qaida Document,” 4 April 2012, <http://www.theguardian.com/world/2012/apr/04/al-qaida-terrorism>.  

 [^ebooks-3]: 参见《什么是自由软件？》一文以获知自由软件的完整定义。  

 [^ebooks-4]: 参见 <http://gnu.org/proprietary/proprietary.html> 以获知一系列日益增长的威胁。 

 [^ebooks-5]: 参见我的文章《如今自由软件更加重要》和 “The Problem Is Software Controlled by Its Developer,” 位于<http://gnu.org/philosophy/the-root-of-this-problem.html>以获得更多信息。

