\newpage
## 售卖自由软件

> Copyright © 1996–1998, 2001, 2007, 2015 自由软件基金会。此文于 1996 年首发于 http://gnu.org

很多人认为 GNU 工程的精神就是不该对软件发行的副本收费，或者应只收取很少的钱——只要是成本价即可。这是一种误解。

事实上，我们鼓励重新发布自由软件[^sell-1]的人尽可能多的收取他们想要的费用。如果一个许可不允许用户生成副本并销售它们，它就是个非自由许可。如果这让你感到惊讶，请继续往下读。

“free”这个词有两种合理通用的解释，它可以被解释为自由亦或是免费价格。当我们谈到“free software”时，我们所指的是自由，而不是价格。（可以理解为“言论自由”，而不是“免费啤酒”）。明确地讲，自由软件的意思就是任何用户可以自由的运行、修改和免费或收费地重新发布修改过或未修改的程序。

自由的程序有时是免费发布的，而有时则需要收费。有时同一个程序可以在不同的地方分别以这两种方式发布。无论其价格如何，这种程序都是自由的，因为用户在使用时是自由的。

非自由程序[^sell-2]通常以高价出售，但有时销售商会赠送你一份免费副本。尽管如此，那也不能使其成为自由软件。无论收费与否，这个程序都是不自由的，因为用户没有自由。

因为自由软件无关价格，所以低价并不意味着更多自由，或者更加接近自由。因此如果你重新发布自由软件的副本，你也可以收取基本的费用来**获得收益**。重新发布自由软件是一种很好而且合法的行为；如果你那样做，你同样也可能从中获利。

自由软件是一项社区工程，每个依赖社区的人都应该尽其可能为社区建设做出贡献。对一个发布者来说，这样做可以使一部分收益流向自由软件开发项目或者自由软件基金会。只有这样才能推动自由软件在世界的发展。

**发布自由软件是筹集资金的一个机会。不要浪费这个机会！**

为了捐献金钱，你需要收取一些额外的费用。如果你收费过低，那就不能为支持自由软件发展而储备资金。

### 过高的发行费用会伤害一些用户吗？

有时人们担心过高的发行费用会使自由软件超出低收入用户的预算。对于专有软件，高昂的费用确实如此——但自由软件与之不同。

不同之处在于自由软件天生就易于传播，可以通过多种方式来获取。

在你没有支付标准价格之前，软件囤积者尽他们该死的最大努力阻止你使用专有软件却不按标价付钱。如果这个定价很高，的确会让一些用户很难使用这个软件。

对于自由软件，用户不*必须*为了使用软件而支付发行费用。可以从拥有一份副本的朋友那里复制程序，或者请能上网的朋友下载程序。或者很多用户可以一起分摊费用买一张 CD-ROM，然后轮流安装软件。当软件自由时，高价的 CD-ROM 就不再是主要障碍。

### 高昂的发行费用不利于自由软件的使用吗？

另一个经常担心的问题是自由软件的传播。人们认为高昂的发行费用会减少用户数量，或者低廉的价格可能会鼓励用户去使用。

对于专有软件确实是这样——但是自由软件与之不同。可以通过如此多的方式来获得软件副本，因此发行服务的费用对自由软件的普及影响很小。

从长远来看，使用自由软件的用户数量主要取决于*自由软件可以做什么*，以及自由软件有多好用。很多用户并不把自由放在首位；如果自由软件不能做他们要做的所有工作，许多用户将继续使用专有软件。因此，如果我们想从长远上来增加自由软件的用户数量，我们的首要任务是*开发更多的自由软件*。

最直接的方式就是自己写一些需要的自由软件[^sell-3]或手册[^sell-4]。不过如果你是发行方而不是编写软件，你提供帮助的最好方式就是提供资金给其他人来写自由软件和手册。

### “售卖软件”这个说法也很迷惑

严格来说，“售卖”是指通过货物交易来获取金钱。销售一份自由软件的副本是合法的，而且我们鼓励这种行为。

然而，当人们想到“售卖软件”时[^sell-5]，他们通常想象成大多数公司的做法：使软件专有化，而不是自由。

因此，除非你打算仔细分析甄别，正如这篇文章所言，我们建议最好避免使用“售卖软件”这个说法，而选用其他说法来代替。例如，你可以说“为发行自由软件收费”——这样就不会有歧义了。

### 收费的高低与 GNU GPL

除非一种特殊情况，GNU 通用公共许可证（GNU GPL）对于你发布自由软件的副本时收取多少费用并没有要求。你可以免费，一美分，一美元，或者十亿美元。这完全取决于你和市场，所以如果没有人愿意花十亿美元买你的软件请不要向我们抱怨。

唯一例外的情况是只发布二进制而没有相应完整的源代码。这样做的人，GNU GPL 会要求其为后期需求提供源代码。如果对于源代码没有价格上的限制[^sell-6]，他们可以确定一个没有人能支付得起的庞大数目——比如十亿美元——并且假装发布源代码，但本质是在隐藏源代码。因此，在这种情况下我们必须限制源码价格，以确保用户的自由。一般情况下，我们没有理由限制发行费用，所以我们不限制他们。

有时公司的活动超出了GNU GPL所许可的范围，他们辩解说“没有对 GNU 软件收费”或者其他类似的理由。无论怎么样，他们都没有因此得逞。自由软件是关于自由的，并且遵循 GPL 就是捍卫自由。当我们维护用户自由时，我们没有因为思考需要收取多少发布费用而心烦意乱。自由才是问题所在，是全部的问题，也是唯一的问题。

[^sell-1]: 参见《什么是自由软件？》一文

[^sell-2]: 也称为“专有软件”，参见《自由和非自由软件的分类》一文

[^sell-3]: 参见 Savannah 任务列表 <http://savannah.gnu.org/projects/tasklist>

[^sell-4]: 参见 <http://gnu.org/doc/doc.html> 

[^sell-5]: 参考《应避免使用（或慎用）的词语》一文了解为何“售卖软件”这个说法有歧义

[^sell-6]: 参见《GNU 通用公共许可证》一文的第六段

