\newpage
## 如果您在大学工作，请发布自由软件

> Copyright © 2002, 2014 理查德·斯托曼（Richard Stallman）。本文最初于 2002 年发表于 <http://gnu.org>。

在自由软件运动中，我们坚信用户应当拥有对他们所使用的软件进行修改和再分发的自由。自由软件中的“free”是指“freedom”中的自由：即用户拥有运行、修改和再分发的自由。自由软件能够为人类知识做贡献，而私有软件则不能。因此，大学应当以推进人类知识发展之名鼓励自由软件，如同它们应当鼓励科学家和其他学者发表其工作成果。

呜呼，很多大学的管理人员对软件（以及对科学）持有一种贪婪的态度；他们将软件视为赢利的机会而非为人类知识做贡献的机会。自由软件开发者同这种倾向进行斗争已有将近 20 年了。

在 1984 年，当我开始着手开发 GNU 操作系统时，我的第一步是辞去我在麻省理工学院（MIT）的工作。我特意选择这么做，这样 MIT 许可证机构就不能再对我将 GNU 作为自由软件发布这一行为进行干涉。我计划了这样一种方式对 GNU 中的程序进行授权许可，这种方式可以保证它的所有修改版本必须仍是自由的——这种授权许可方式后来发展成为了 GNU 通用公共许可证（GNU GPL）——而且我不希望乞求 MIT 管理人员的允许才能使用它。

这些年来，一些大学的分支机构经常前来自由软件基金会（FSF）寻求帮助，关于如何应对那些仅仅将软件视为用于贩卖之物的管理人员。有一种方法甚至对于那些受到特别资助的项目也是适用的，就是使您的工作基于一款已经在 GNU GPL 下发布的现有自由软件。然后您可以告知管理人员：“我们不能发布此修改版本，除非使用 GNU GPL 许可证——任何其他方式都将侵犯版权。”当他们眼中的美元符号逐渐褪色时，他们通常将会不再反对将其作为自由软件发布。

您也可以求助于资金赞助商。当纽约大学（NYU）的一个开发小组在美国空军资助下开发出 GNU Ada 编译器时，合同中明确提出将其代码捐赠自由软件基金会。首先同赞助商达成某种默契，然后礼貌地对大学管理人员说明这不允许重新谈判。他们将会想要一纸合同以开发自由软件而不想失去它，于是他们很可能会同意。

不论您采取哪种方式，一定要尽早提出关于自由软件的问题——例如程序开发进程达到一半以前。此时，大学仍然需要您的工作，因此您可以采取强硬措施：告知管理人员您将会完成该程序并且使之可用，仅当他们白纸黑字地同意使其成为自由软件（并且同意由您选择使用何种自由软件许可证）。否则您为这个项目所能继续做的只是写一篇关于它的论文，并且不会做出一个适合于发布的良好版本。当管理人员意识到他们只能在得到一个可以为大学争得荣誉的自由软件与什么也得不到之间二选一，他们通常会选择前者。

FSF 可能能够说服您的大学接受 GNU GPL，或者 GPL 版本 3。如果您难以独立完成这一任务，请给我们帮忙的机会。请发送邮件至 <licensing@fsf.org>，并且在主题中加上“紧急”标记。

并非所有大学都实行贪婪政策。德州大学有一项宽松的政策使得在那里开发的软件在 GNU GPL 下作为自由软件发布变得容易。巴西 Univates 大学和印度海德拉巴信息技术国际学院都有有利于以 GPL 发布软件的政策。在首先得到了开发团队的支持后，您也可以在您的大学实行类似的政策。将这个问题作为一种原则性的问题提出：大学是否应该以推进人类知识发展为己任，还是仅仅满足于使自己长期存在？

在试图说服大学的过程中，最好能够从伦理的视角出发并且下定决心，如同我们在自由软件运动中所做的那样。为了能够以符合伦理的方式对待大众，软件应当是自由的——如同“freedom”中的自由——对于全体大众。

很多自由软件开发者狭隘地宣称如此做的一些实践上的原因：他们倡导允许他人分享和修改软件只是一种使得软件变得更加强大且可靠的权宜之计。如果是这样的价值观驱使您开发自由软件，也罢，感谢您和您的贡献。但是，这样的价值观并不能给予您坚定的立场，一旦大学管理人员威逼利诱您将您的软件变成私有的。

例如，他们可能会争论“我们能够让它变得更加强大且可靠，只要我们能够得到钱”。这样的宣言最后也许能够实现，也许不能，但它很难在事先被证伪。他们可能会提出这样一种分发副本的许可证：“免费，仅限学术应用”，这将会向普通大众暗示他们不应获得自由，他们还会论证这种行为将会得到学术界的支持，而这一切是（他们宣称）您所需要的。

如果您的出发点只是易用性的价值，这将很难说服人们拒绝这些没有出路的提议。而如果您的立场是基于伦理和政治方面的价值，就很容易做到。如果牺牲了用户的自由，一款软件做得再强大再可靠又有何益？难道自由不是应该普惠大众而不仅限于学术界内吗？如果自由和社区是您的目标，这些问题的答案是很明了的。自由软件尊重用户的自由，而私有软件否定用户的自由。

凡是能够使您坚定信心的，莫强如了解什么才是社区的自由所依赖的，举个例子，比如您。

