\newpage
## 为何称之为诈骗（Swindle）？

> Copyright © 2013 Richard Stallman。

我有意地用具有批判性的名字来称呼龌龊的东西。我将苹果迫使用户屈从于它们的计算机称为“iThings”，而将亚马逊虐待读者的电子书阅读器称为“诈骗”（Swindle）。有时我将微软的操作系统称为“Losedows”，而将微软的第一款操作系统称为“MS-Dog”[^swindle-1]。当然，我如此做是为了表达自己的不满以及作为消遣。然而这种消遣并不是个人层面的，它服务于一项重要目的。通过嘲讽我们的敌人，我们可以将幽默的力量注入我们的事业。

扭曲名字是一种不尊重对方的行为。如果我们尊重这些产品的制造商，我们将会使用它们所选定的名字……并且那将是恰如其分的。这些恶意的产品只配得到我们的鄙视而非我们的尊重。每一款私有软件迫使其用户屈从于某些实体的权力，但如今最常用的私有软件已经不限于窥探用户和限制用户，甚至是任意摆布用户：趋势是这些产品正在变得越来越龌龊。它们理应被消灭干净，其中带有数字限制管理（DRM）的产品应该被判定为非法。

当我们谈论它们的时候，我们应当表达出我们对它们的谴责，那么，还有什么方式比扭曲它们的名字更容易呢？如果我们不如此做，就很可能在称呼它们的同时未能表达出我们的谴责。例如，当它们出现在某些其他话题之中时，下笔千言来解释它们为什么是坏的，就会显得离题万里。

点名谈论这些产品但未能表达出我们的谴责，将会产生使其合法化的反效果，这是与它们所应得的谴责正好相反的。

商业公司将为其产品选择名字作为其市场计划的一部分。它们通常选择那些它们认为人们更倾向于重复的名字，然后在市场营销活动中投入数以百万计的资金以迫使人们重复并且思考这些名字。通常，这些营销活动的意图是促使人们基于其表面的诱人之处来崇拜这些产品，而忽视它们所造成的危害。

每当我们用制造商所使用的名字来称呼这些产品的时候，我们是在为它们的市场营销活动做贡献。重复这些名字是对其产品的积极支持；而扭曲它们的名字则是在拒绝给予这些产品支持。

除了产品名称以外，其他术语也会带来类似的问题。例如，数字限制管理（DRM）指的是为了某些其他人的利益而制造技术产品以限制用户。这种不可原谅的行径只配得到我们的怒火，直到我们将其彻底消灭。很自然地，那些应该为此受到谴责的人们基于他们看待此问题的立场为它起了这样一个名字：数字版权管理。这个名字是一场致力于赢得从各级政府到万维网联盟（W3C）的各种实体的支持的公共关系运动的基础。[^swindle-2]

使用它们的称谓就是支持他们的立场。但如果那不是您的立场，为什么要给予它们默许的支持呢？

我们站在用户的立场上，并且从用户的观点出发，那些恶意功能所管理的不是权利而是限制，因此我们称之为“数字限制管理”。

这两种称谓都不是中立的：在从中选择一种称谓的同时，您选择了一种立场。请您选择用户的立场并且将其发扬光大。

有一次，我的演讲听众中的某人宣称“数字版权管理”才是 DRM 的官方名称并且是唯一可能的正确名称，由于这是它的第一个名字。此人争论以此出发，我们称之为“数字限制管理”是错误的。

制造产品或者从事商业行为的实体通常会在我们尚未获知其存在的时候就为其选定了一个名字。如果它们的暂时优势地位迫使我们使用它们所起的名字，它们就将在无形之中获得额外的优势，这是基于它们的资金、媒体影响力以及技术地位。我们将会不得不言不由衷地对抗它们。

有人不喜欢扭曲名字的方式并且认为这是“幼稚”或者“不专业”的。他们的意思是，这听起来并不显得古板而缺乏幽默——后者是一件好事，由于在我们的立场上，如果我们试图表现得“专业”，就不能拥有欢乐。反抗压迫远比从事专业工作更加严肃，因此我们必须要有一些诙谐的放松。这需要真正的成熟，这里包括一些童稚，而非仅仅是“表现得像个成年人”。

如果您不赞同我们所选定的带有讽刺意味的谐音或形近单词，您可以创造您自己所喜好的名字，越多越欢乐。当然，还有其他方式以表达谴责。如果您想要表现得“专业”，您可以采用其他方式将其呈现。它们能够表达您的用意，但需要更多时间和努力，特别是当您不想使用嘲讽的手法时。注意到这一点，您的谴责才不会有所欠缺；不要让关于反对这种“题外话”的压力迫使您未能对您所提到的那些龌龊的东西进行足够的批判，因为这将会起到使其合法化的反效果。

[^swindle-1]: 采取行动反对 iThings，位于[u.fsf.org/ithings](u.fsf.org/ithings)；反对亚马逊诈骗（Swindle）位于[u.fsf.org/swindle](u.fsf.org/swindle)和[u.fsf.org/ebookslist](u.fsf.org/ebookslist)；以及反对 Windows，位于[upgradefromwindows.org](upgradefromwindows.org)。

[^swindle-2]: 参见 <https://u.fsf.org/drm> 以获得关于数字限制管理（DRM）的更多信息。
